Typedefs | Functions

# gdalgrid.h File Reference

GDAL gridder related entry points and definitions. More...

`#include "gdal_alg.h"`

Go to the source code of this file.

## Typedefs
typedef CPLErr(* | GDALGridFunction )(const void *, GUInt32, const double *, const double *, const double *, double, double, double *, void *)
## Functions
CPLErr | GDALGridInverseDistanceToAPower (const void *, GUInt32, const double *, const double *, const double *, double, double, double *, void *)
CPLErr | GDALGridInverseDistanceToAPowerNoSearch (const void *, GUInt32, const double *, const double *, const double *, double, double, double *, void *)
CPLErr | GDALGridMovingAverage (const void *, GUInt32, const double *, const double *, const double *, double, double, double *, void *)
CPLErr | GDALGridNearestNeighbor (const void *, GUInt32, const double *, const double *, const double *, double, double, double *, void *)
| Nearest neighbor.
CPLErr | GDALGridDataMetricMinimum (const void *, GUInt32, const double *, const double *, const double *, double, double, double *, void *)
CPLErr | GDALGridDataMetricMaximum (const void *, GUInt32, const double *, const double *, const double *, double, double, double *, void *)
CPLErr | GDALGridDataMetricRange (const void *, GUInt32, const double *, const double *, const double *, double, double, double *, void *)
CPLErr | GDALGridDataMetricCount (const void *, GUInt32, const double *, const double *, const double *, double, double, double *, void *)
CPLErr | GDALGridDataMetricAverageDistance (const void *, GUInt32, const double *, const double *, const double *, double, double, double *, void *)
CPLErr | GDALGridDataMetricAverageDistancePts (const void *, GUInt32, const double *, const double *, const double *, double, double, double *, void *)
CPLErr | ParseAlgorithmAndOptions (const char *, GDALGridAlgorithm *, void **)

## Detailed Description

GDAL gridder related entry points and definitions.

## Function Documentation

CPLErr GDALGridNearestNeighbor | ( | const void * | poOptions,
|  | GUInt32 | nPoints,
|  | const double * | padfX,
|  | const double * | padfY,
|  | const double * | padfZ,
|  | double | dfXPoint,
|  | double | dfYPoint,
|  | double * | pdfValue,
|  | void * | hExtraParamsIn |
| ) |  |  |

Nearest neighbor.

The Nearest Neighbor method doesn't perform any interpolation or smoothing, it just takes the value of nearest point found in grid node search ellipse and returns it as a result. If there are no points found, the specified NODATA value will be returned.

Parameters:

  | poOptions | Algorithm parameters. This should point to GDALGridNearestNeighborOptions object.
  | nPoints | Number of elements in input arrays.
  | padfX | Input array of X coordinates.
  | padfY | Input array of Y coordinates.
  | padfZ | Input array of Z values.
  | dfXPoint | X coordinate of the point to compute.
  | dfYPoint | Y coordinate of the point to compute.
  | pdfValue | Pointer to variable where the computed grid node value will be returned.

Returns:
  CE_None on success or CE_Failure if something goes wrong.

Generated for GDAL by 1.7.1.